%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-nova
Version:        10.4.1
Release:        5%{?dist}
Summary:        Puppet module for OpenStack Nova
License:        ASL 2.0

URL:            https://launchpad.net/puppet-nova

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=10.4.1
Patch0001: 0001-Properly-handle-arrays-for-enabled_perf_events.patch
Patch0002: 0002-Manage-access-project-for-nova-flavors.patch
Patch0003: 0003-Expose-nova-scheduler-discover_hosts_in_cells_interv.patch
Patch0004: 0004-Fix-invalid-PCI-alias-definition.patch
Patch0005: 0005-Fix-pci-config-params-name-as-mentioned-in-nova-conf.patch
Patch0006: 0006-Allow-creating-security-group-rules-for-ICMP.patch
Patch0007: 0007-Switch-nova_security_group-to-openstack-provider.patch
Patch0008: 0008-Switch-nova_security_rule-to-openstack-provider.patch
Patch0009: 0009-Fix-handling-of-nova-pci-MultiStrOpt-params.patch
Patch0010: 0010-Use-API-level-filtering-for-nova_security_group-prov.patch
Patch0011: 0011-Added-nova-patching-configuration-parameters.patch
Patch0012: 0012-Add-pci-alias-to-compute-manifest.patch
Patch0013: 0013-Expose-my_ip.patch
Patch0014: 0014-Sanitize-nova_manage-output-in-provider.patch
Patch0015: 0015-Warn-when-configuring-dedicated-database-connection-.patch
Patch0016: 0016-ocata-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0017: 0017-Pass-arguments-as-array-for-nova-manage-provider.patch
Patch0018: 0018-Add-parameter-to-set-notification-format.patch

BuildArch:      noarch

Requires:       puppet-cinder
Requires:       puppet-glance
Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-rabbitmq
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Nova

%prep
%setup -q -n openstack-nova-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init

%files
%{_datadir}/openstack-puppet/modules/nova/


%changelog
* Fri Jan 05 2018 Steve Linabery <slinaber@redhat.com> 10.4.1-5
- Add parameter to set notification format
- Pass arguments as array for nova-manage provider

* Fri Nov 10 2017 shrjoshi <shrjoshi@redhat.com> 10.4.1-4
- [ocata] Add Puppet package to bindep, for module build
- Warn when configuring dedicated database connection for placement API
- Sanitize nova_manage output in provider
- Expose my_ip
- Add pci/alias to compute manifest

* Tue Sep 19 2017 Steve Linabery <slinaber@redhat.com> 10.4.1-3
- Added nova patching configuration parameters
- Use API level filtering for nova_security_group provider
- Fix handling of nova pci MultiStrOpt params

* Tue Aug 15 2017 Steve Linabery <slinaber@redhat.com> 10.4.1-2
- Switch nova_security_rule to openstack provider
- Switch nova_security_group to openstack provider
- Allow creating security group rules for ICMP
- Fix pci config params name as mentioned in nova conf
- Fix invalid PCI alias definition

* Wed Jun 28 2017 Mike Burns <mburns@redhat.com> 10.4.1-1
- Update to 10.4.1

* Tue May 23 2017 Alex Schultz <aschultz@redhat.com> 10.4.0-6
- Properly handle arrays for enabled_perf_events (rhbz#1447859)

* Thu Apr 27 2017 Mike Burns <mburns@redhat.com> 10.4.0-5
- Add option to bind libvirtd to a specific IP address (rhbz#1428593)
- Add support for live-migration over SSH (rhbz#1428593)

* Mon Apr 24 2017 Mike Burns <mburns@redhat.com> 10.4.0-4
- Use a resource provider for cell_v2 cells (rhbz#1443214)

* Fri Mar 24 2017 Jon Schlueter <jschluet@redhat.com> 10.4.0-3
- Adds snapshot_image_format configuration

* Mon Mar 20 2017 Steve Linabery <slinaber@redhat.com> 10.4.0-2
- virsh secret uuid are case insensitive

* Fri Mar 17 2017 Jon Schlueter <jschluet@redhat.com> 10.4.0-1
- Update to 10.4.0

* Wed Mar 08 2017 Steve Linabery <slinaber@redhat.com> 10.3.0-2
- Release Ocata 10.4.0
- Merge "Make placement's os_interface configurable" into stable/ocata
- Fix idempotency with empty available filters
- Make placement's os_interface configurable
- Merge "acceptance: enable placement on ubuntu" into stable/ocata
- acceptance/ubuntu: enable ::nova::cell_v2::simple_setup
- acceptance: enable placement on ubuntu
- Nova placement doesn't require nova::api

* Wed Feb 08 2017 Haikel Guemar <hguemar@fedoraproject.org> 10.3.0-1
- Update to 10.3.0
